# Uses of Enum Class
org.apache.lucene.search.spell.WordBreakSpellChecker.BreakSuggestionSortMethod

Packages that use WordBreakSpellChecker.BreakSuggestionSortMethod
Package
Description
org.apache.lucene.search.spell
Suggest alternate spellings for words.

- ## Uses of WordBreakSpellChecker.BreakSuggestionSortMethod in org.apache.lucene.search.spell

  Methods in org.apache.lucene.search.spell that return WordBreakSpellChecker.BreakSuggestionSortMethod
  Modifier and Type
  Method
  Description
  `static WordBreakSpellChecker.BreakSuggestionSortMethod`
  WordBreakSpellChecker.BreakSuggestionSortMethod.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WordBreakSpellChecker.BreakSuggestionSortMethod[]`
  WordBreakSpellChecker.BreakSuggestionSortMethod.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search.spell with parameters of type WordBreakSpellChecker.BreakSuggestionSortMethod
  Modifier and Type
  Method
  Description
  `SuggestWord[][]`
  WordBreakSpellChecker.`suggestWordBreaks(Term term, int maxSuggestions, IndexReader ir, SuggestMode suggestMode, WordBreakSpellChecker.BreakSuggestionSortMethod sortMethod)`
  Generate suggestions by breaking the passed-in term into multiple words.